<?php

// Simple InUSE Check
if ( !defined('QF_STARTED') )
        die('Hacking attempt');

class Fox2_MPlayer
{
    var $fold_name = 'music';

    function Fox2_MPlayer()
    {
        global $QF, $FOX;

        $this->fold_name = $QF->Config->Get('play_folder', 'fox_player', 'music');
    }

    function PostPage()
    {
        global $QF, $FOX;

        if (!$QF->Config->Get('show_in_panels', 'fox_player', 1))
            return;

        $QF->VIS->Load_Templates('music_player');
        $QF->VIS->Add_Node('FOX_PLAYER_SIDEINCL', 'PANELS', 0, Array('FOLDER_ID' => $this->fold_name));
    }

    function DPage()
    {
        global $QF, $FOX;
        $p_type = $QF->GPC->Get_String('p_type', QF_GPC_GET, QF_STR_WORD);
        switch($p_type)
        {
            case 'playlist':
                return $this->DPage_PL();
            default:
                return $this->DPage_Player();
        }

        return false;
    }

    function DPage_PL()
    {
        global $QF, $FOX;
        $QF->Run_Module('Files');

        if ($fold = $QF->Files->Get_FolderInfo($this->fold_name))
            $conts = $QF->Files->Get_FolderConts($fold['id']);
        else
        {
            $conts = Array();
            $QF->Config->Set('show_in_panels', false, 'fox_player', true);
        }
        $QF->Files->Load_FileInfos($conts);

        $output = Array('<?xml version="1.0" encoding="'.QF_INTERNAL_ENCODING.'"?>');
        foreach ($conts as $cont_id)
        {
            $cont_item = $QF->Files->Get_FileInfo($cont_id);
            if ($cont_item['mime'] != 'audio/mpeg' || $cont_item['r_level'])
                continue;

            $output[] = ' <item href="'.qf_full_url($FOX->Gen_URL('fox2_file_download_bysess', Array($cont_item['id'], $cont_item['filename']), true, true)).'" capt="'.$cont_item['caption'].'" />';
        }

        $output = implode("\n", $output);

        $QF->HTTP->do_HTML = false;
        $QF->HTTP->Clear();
        $QF->HTTP->Write($output);
        $QF->HTTP->Send_Buffer('', 'text/xml', 60);
    }

    function DPage_Player()
    {
        global $QF, $FOX;
        $data = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml">
        <head>
          <!--Meta-Content-Type-->
          <meta http-equiv="Content-Style-Type" content="text/css" />
          <title>Music Player</title>
        </head>
        <body>
        <div style="padding: 0; margin: 5px auto; width: 180px; height: 40px;">
        <object type="application/x-shockwave-flash" data="'.qf_full_url($FOX->Gen_URL('fox2_player_swf')).'" style="width: 180px; height: 40px;">
         <param name="bgcolor" value="#ffffff" />
         <param name="allowScriptAccess" value="always" />
         <param name="allowFullScreen" value="true" />
         <param name="wmode" value="transparent" />
         <param name="movie" value="'.qf_full_url($FOX->Gen_URL('fox2_player_swf')).'" />
         <param name="flashvars" value="&amp;PLFile='.qf_url_encode_part(qf_full_url($FOX->Gen_URL('fox2_player_playlist'))).'" />
        </object>
        </div>
        </body>
        </html>';
        $data = preg_replace('#(\n\s*)+#', "\n", $data);
        $QF->HTTP->Clear();
        $QF->HTTP->Write($data);
        $QF->HTTP->Send_Buffer('', '', 3600);
    }
}

?>